> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Networks

> List the caller's personal networks, or a team's networks.



## OpenAPI

````yaml https://api.primeintellect.ai/api/v1/sandbox/openapi.json get /api/v1/sandbox/networks
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/sandbox/networks:
    get:
      tags:
        - Sandbox Networks
      summary: List Networks
      description: List the caller's personal networks, or a team's networks.
      operationId: list_networks_api_v1_sandbox_networks_get
      parameters:
        - name: team_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Team Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    NetworkListResponse:
      properties:
        networks:
          items:
            $ref: '#/components/schemas/NetworkResponse'
          type: array
          title: Networks
      type: object
      required:
        - networks
      title: NetworkListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NetworkResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        team_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Team Id
        rules:
          items:
            type: object
          type: array
          title: Rules
        version:
          type: integer
          title: Version
        synced:
          type: boolean
          title: Synced
        created_at:
          type: string
          format: date-time
          title: Created At
        members:
          anyOf:
            - items:
                $ref: '#/components/schemas/NetworkMemberResponse'
              type: array
            - type: 'null'
          title: Members
      type: object
      required:
        - id
        - name
        - team_id
        - rules
        - version
        - synced
        - created_at
      title: NetworkResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    NetworkMemberResponse:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
        tags:
          items:
            type: string
          type: array
          title: Tags
        synced:
          type: boolean
          title: Synced
      type: object
      required:
        - sandbox_id
        - tags
        - synced
      title: NetworkMemberResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````